// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef TESTTRACE_CLASSES_PACKAGE_A1_A1_H
#define TESTTRACE_CLASSES_PACKAGE_A1_A1_H

/************************************************************
 A1 class header
 ************************************************************/

#include "TestTrace/Classes/Package_A1/Pkg_Package_A1.h"

#include "TestTrace/Classes/Package_A1/Package_B1/B1.h"
#include "TestTrace/Classes/Package_A1/Package_C1/C1.h"
#include "TestTrace/Classes/Package_A1/Package_D1/D1.h"

// derived using directives
using namespace TestTrace::Classes::Package_A1::Package_B1;
using namespace TestTrace::Classes::Package_A1::Package_C1;
using namespace TestTrace::Classes::Package_A1::Package_D1;

namespace TestTrace {
namespace Classes {
namespace Package_A1 {

/************************************************************/
/**
 * 
 */
class A1 {
public:

	/**
	 * 
	 */
	C1 c1;

	/**
	 * 
	 */
	D1 d1;

	/**
	 * 
	 */
	B1 b1;

	/**
	 * 
	 */
	A1();

	/**
	 * 
	 */
	void createConnections();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Package_A1
} // of namespace Classes
} // of namespace TestTrace

/************************************************************
 End of A1 class header
 ************************************************************/

#endif
